<?php
/*  Copyright
	2010 Juergen Schulze
	and 2006 Vincent Prat

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
?>

<?php 
	if (!current_user_can(EMU2_MANAGE_OPTIONS_CAP)) {
		print "<br />".__("You are not allowed to change the options of this plugin.", EMU2_I18N_DOMAIN);
		$allowed=false;
	} else {
		$allowed=true;
	}
?>

<?php if ($allowed) { ?>
<div class="wrap">
<h2><?php _e('Email Users 2', EMU2_I18N_DOMAIN); ?> (<?php echo EMU2_get_installed_version(); ?>)</h2>
<h3><?php _e('Settings', EMU2_I18N_DOMAIN); ?></h3>



<?php 	
	if (isset($err_msg) && $err_msg!='') { ?>
		<p class="error"><?php echo $err_msg; ?></p>
		<p><?php _e('Please correct the errors displayed above and try again.', EMU2_I18N_DOMAIN); ?></p>
<?php	
	} ?>

	
	
<form name="SendEmail" action="options-general.php?page=emu2-email-users-2/emu2_set_options.php" method="post">		
	<input type="hidden" name="send" value="true" />
	<table class="form-table" width="100%" cellspacing="2" cellpadding="5">
	<tr>
		<th scope="row" valign="top">
			<label for="mail_format"><?php _e('Mail format', EMU2_I18N_DOMAIN); ?></th>
		<td>
			<select name="default_mail_format" style="width: 200px;">
				<option value="html" <?php if (EMU2_get_default_mail_format()=='html') echo 'selected="true"'; ?>><?php _e('HTML', EMU2_I18N_DOMAIN); ?></option>
				<option value="plaintext" <?php if (EMU2_get_default_mail_format()=='plaintext') echo 'selected="true"'; ?>><?php _e('Plain text', EMU2_I18N_DOMAIN); ?></option>
			</select> <?php _e('Send mails as plain text or HTML by default?', EMU2_I18N_DOMAIN); ?></td>
	</tr>
	<tr>
		<th scope="row" valign="top">
			<label for="mail_function"><?php _e('Mail function', EMU2_I18N_DOMAIN); ?></th>
		<td><?php #print "->".EMU2_get_mail_function(); ?>
			<select name="mail_function" style="width: 200px;">
				<option value="mail" <?php if (EMU2_get_mail_function()=='mail') echo 'selected="true"'; ?>><?php _e('Native PHP mail - mail();', EMU2_I18N_DOMAIN); ?></option>
				<option value="wp_mail" <?php if (EMU2_get_mail_function()=='wp_mail') echo 'selected="true"'; ?>><?php _e('Wordpress mail - wp_mail();', EMU2_I18N_DOMAIN); ?></option>
			</select> <?php _e('Use native PHP mail function or build in wordpress function for mailing.', EMU2_I18N_DOMAIN); ?></td>
	</tr>
	
	<tr>
		<th scope="row" valign="top">
			<label for="emu2_sender_name"><?php _e('Individual sender name', EMU2_I18N_DOMAIN); ?></th>
		<td>
			<input type="text" name="emu2_sender_name" style="width: 300px;" 	value="<?php echo EMU2_get_sender_name(); ?>" size="3" />
		</td>
	</tr>

	<tr>
		<th scope="row" valign="top">
			<label for="emu2_sender_address"><?php _e('Individual sender address', EMU2_I18N_DOMAIN); ?></th>
		<td>
			<input type="text" name="emu2_sender_address" style="width: 300px;" 	value="<?php echo EMU2_get_sender_address(); ?>" size="3" />

		</td>

	</tr>

	<tr><th height="70" colspan="2" scope="row" valign="top"><?php _e('Leave inidividual sender settings empty to fallback on WordPress\' default settings', EMU2_I18N_DOMAIN); ?></th></tr>
	
	<tr>
		<th scope="row" valign="top">
			<label for="max_bcc_recipients"><?php _e('BCC limit', EMU2_I18N_DOMAIN); ?></th>
		<td>
			<input type="text" name="max_bcc_recipients" style="width: 50px;" 	value="<?php echo EMU2_get_max_bcc_recipients(); ?>" size="3" />
			<?php _e('Try 30 if you have problems sending emails to many users (some providers forbid too many recipients in BCC field) otherwise leave empty or zero.', EMU2_I18N_DOMAIN); ?>
		</td>
	</tr>

	<tr>
		<th scope="row" valign="top">
			<label for="double_place"><?php _e('Place sender into every To-field at least once', EMU2_I18N_DOMAIN); ?></th>
		<td>
			<input type="radio" name="double_place" value="1" <?php if (EMU2_get_double_place()==true) echo 'checked="checked"'; ?>>On&nbsp;&nbsp;
			<input type="radio" name="double_place" value="" <?php if (EMU2_get_double_place()==false) echo 'checked="checked"'; ?>>Off<br>			
			<?php _e('Try this if you are running into problems with Bcc.', EMU2_I18N_DOMAIN); ?>
		</td>
	</tr>	

	
	<tr>
		<th scope="row" valign="top">
			<label for="debub_mode"><?php _e('Debug Mode', EMU2_I18N_DOMAIN); ?></th>
		<td>
			<input type="radio" name="debug" value="1" <?php if (EMU2_get_debug()==true) echo 'checked="checked"'; ?>>On&nbsp;&nbsp;
			<input type="radio" name="debug" value="" <?php if (EMU2_get_debug()==false) echo 'checked="checked"'; ?>>Off<br>			
			<?php _e('Will give you more information on possible mailing errors or problems.', EMU2_I18N_DOMAIN); ?>
		</td>
	</tr>	
	
	<tr>
		<th scope="row" valign="top">
			<label for="schedule_time"><?php _e('Schedule time of digest mail', EMU2_I18N_DOMAIN); ?></th>
		<td>
			<input type="text" id="schedule_time" name="schedule_time" style="width:50px;" value="<?php echo EMU2_get_schedule_time(); ?>" size="5" />
			<?php _e('I.e. 23:45 or leave empty for no schedule', EMU2_I18N_DOMAIN); ?></br />
			<?php _e('This will sent a digest mail to every registered user about the newest posts written wihtin the last 24 hours. You can edit the template as well.', EMU2_I18N_DOMAIN); ?>
			<br />
			<?php
				if (wp_next_scheduled('EMU2_task_hook') && EMU2_get_debug() ) {
					print 'Next: '.date("H:i", wp_next_scheduled('EMU2_task_hook'))."<br />";
					print 'Now: '.current_time('mysql',1)."\n";
				}
			?>
		</td>
	</tr>
	
	</table>

<?php #echo "current_time('mysql') returns local server time: " . current_time('mysql') . '<br />'; ?>
<?php #echo "current_time('mysql',1) returns GMT: " . current_time('mysql',1) . '<br />'; ?>
<?php #echo "current_time('timestamp',1) returns timestamp of server time: " . date('Y-m-d H:i:s',current_time('timestamp',1)). '<br />'; ?>
<?php #echo "current_time('timestamp',0) doesn't mean anything: " . date('Y-m-d H:i:s',current_time('timestamp',0)). '<br />'; ?>	
<?php #print "time format:".get_option('time_format'). '<br />'; ?>
<?php #print "gmt_offset:".get_option('gmt_offset'). '<br />'; ?>

	<p class="submit">
		<input type="submit" name="Submit" value="<?php _e('Save changes', EMU2_I18N_DOMAIN); ?> &raquo;" />
	</p>
</form>	

<br class="clear"/>


<p><?php _e('Emu2 - Email Users 2 uses capabilities to define what users are allowed to do. Below is a list of the capabilities used by the plugin and the default user role allowed to make these actions.', EMU2_I18N_DOMAIN); ?> <?php _e('If you want to change the roles having those capabilities, you should use the plugin:', EMU2_I18N_DOMAIN); ?> <a href="http://wordpress.org/extend/plugins/user-role-editor/" target="_blank">User Role Editor</a>.</p>

<table class="widefat">
	<thead>
	<tr>
		<th><?php _e('Capability', EMU2_I18N_DOMAIN); ?></th>
		<th><?php _e('Description', EMU2_I18N_DOMAIN); ?></th>
		<th><?php _e('Default roles', EMU2_I18N_DOMAIN); ?></th>
	</tr>
	</thead>
	<tbody>
	<tr>
		<td><b><?php echo EMU2_MANAGE_OPTIONS_CAP; ?></b></td>
		<td><?php _e('Access this options page.', EMU2_I18N_DOMAIN); ?></td>
		<td><?php _e('Administrators only.', EMU2_I18N_DOMAIN); ?></td>
	</tr>
	<tr>
		<td><b><?php echo EMU2_EMAIL_SINGLE_USER_CAP; ?></b></td>
		<td><?php _e('Send an email to a single user.', EMU2_I18N_DOMAIN); ?></td>
		<td><?php _e('Administrators, editors, authors and contributors.', EMU2_I18N_DOMAIN); ?></td>
	</tr>
	<tr>
		<td><b><?php echo EMU2_EMAIL_MULTIPLE_USERS_CAP; ?></b></td>
		<td><?php _e('Send an email to various users at the same time.', EMU2_I18N_DOMAIN); ?></td>
		<td><?php _e('Administrators, editors and authors.', EMU2_I18N_DOMAIN); ?></td>
	</tr>
	<tr>
		<td><b><?php echo EMU2_NOTIFY_USERS_CAP; ?></b></td>
		<td><?php _e('Notify users of new posts.', EMU2_I18N_DOMAIN); ?></td>
		<td><?php _e('Administrators and editors.', EMU2_I18N_DOMAIN); ?></td>
	</tr>
	<tr>
		<td><b><?php echo EMU2_EMAIL_USER_GROUPS_CAP; ?></b></td>
		<td><?php _e('Send an email to user groups.', EMU2_I18N_DOMAIN); ?></td>
		<td><?php _e('Administrators and editors.', EMU2_I18N_DOMAIN); ?></td>
	</tr>
	<tr>
		<td><b><?php echo EMU2_EXPORT_LIST_CAP; ?></b></td>
		<td><?php _e('Export List of user\'s adresses.', EMU2_I18N_DOMAIN); ?></td>
		<td><?php _e('Administrators and editors.', EMU2_I18N_DOMAIN); ?></td>
	</tr>	
	</tbody>
</table>

<br/>

<div class="postbox-container" style="width:100%;">

	<div class="metabox-holder">
		<div class="meta-box-sortables">
			<div class="postbox">
				<div class="handlediv"><br /></div>
					<h3 class="hndle"><?php _e('Infobox ', 'OldPostSpinner'); ?></h3>
					<div class="inside" style="padding:10px; padding-top:0;">
					<?php require_once('whatsup.php'); ?>
				</div>
			</div>
		</div>
	</div>
	
</div>


</div>
<?php } ?>