<?php
/*  Copyright
	2010 Juergen Schulze
	and 2006 Vincent Prat

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
?>

<?php 
	if (!current_user_can(EMU2_MANAGE_OPTIONS_CAP)) {
		print "<br />".__("You are not allowed to change the options of this plugin.", EMU2_I18N_DOMAIN);
		$allowed=false;
	} else {
		$allowed=true;
	}
?>

<?php if ($allowed) { ?>
<div class="wrap">

<h2><?php _e('Email Users 2', EMU2_I18N_DOMAIN); ?> (<?php echo EMU2_get_installed_version(); ?>)</h2>
<h3><?php _e('Edit templates', EMU2_I18N_DOMAIN); ?></h3>

<br class="clear"/>

<?php 	
	if (isset($err_msg) && $err_msg!='') { ?>
		<p class="error"><?php echo $err_msg; ?></p>
		<p><?php _e('Please correct the errors displayed above and try again.', EMU2_I18N_DOMAIN); ?></p>
<?php	
	} ?>

	
	
<form name="templateEdit" action="options-general.php?page=emu2-email-users-2/emu2_set_templates.php" method="post">		
	<input type="hidden" name="send" value="true" />
	<table class="form-table" width="100%" cellspacing="2" cellpadding="5">
	
	
	<tr>
		<th scope="row" valign="top">
			<label for="default_subject"><?php _e('Default notification subject', EMU2_I18N_DOMAIN); ?></th>
		<td>
			<input type="text" name="default_subject" style="width: 550px;" 	value="<?php echo format_to_edit(EMU2_get_default_subject()); ?>" size="80" />
		</td>
	</tr>
	<tr>
		<th scope="row" valign="top">
			<label for="default_body"><?php _e('Default notification body', EMU2_I18N_DOMAIN); ?></th>
		<td>
			<textarea rows="10" cols="80" name="default_body" id="default_body" style="width: 550px;"><?php echo EMU2_get_default_body(); ?></textarea>
		</td>
	</tr>
	
	<tr>
		<th scope="row" valign="top">
			<label for="default_schedule_subject"><?php _e('Default schedule subject', EMU2_I18N_DOMAIN); ?></th>
		<td>
			<input type="text" name="default_schedule_subject" style="width: 550px;" value="<?php echo format_to_edit(EMU2_get_default_schedule_subject()); ?>" size="80" />
		</td>
	</tr>

	<tr>
		<th scope="row" valign="top">
			<label for="default_schedule_body"><?php _e('Default notification body', EMU2_I18N_DOMAIN); ?></th>
		<td>
			<textarea rows="10" cols="80" name="default_schedule_body" id="default_schedule_body" style="width: 550px;"><?php echo EMU2_get_default_schedule_body(); ?></textarea>
		</td>
	</tr>	
	
	
	</table>

	<p class="submit">
		<input type="submit" name="Submit" value="<?php _e('Save changes', EMU2_I18N_DOMAIN); ?> &raquo;" />
	</p>
</form>	

<br class="clear"/>
<table class="widefat">
	<thead>
	<tr>
		<th colspan="2"><?php _e('Notification mail preview (updated when the options are saved)', EMU2_I18N_DOMAIN); ?></th>
	</tr>
	</thead>
	<tbody>
<?php
	global $wpdb;
	$post_id = $wpdb->get_var("select max(id) from $wpdb->posts where post_type='post'");
	if (!isset($post_id)) {
?>
	<tr>
		<td colspan="2"><?php _e('No post found in the blog in order to build a notification preview.', EMU2_I18N_DOMAIN); ?></td>
	</tr>
<?php
	} else {						
		$subject = EMU2_get_default_subject();
		$mail_content = EMU2_get_default_body();

		// Replace the template variables concerning the blog details
		// --
		$subject = EMU2_replace_blog_templates($subject);
		$mail_content = EMU2_replace_blog_templates($mail_content);
			
		// Replace the template variables concerning the sender details
		// --	
		get_currentuserinfo();
		$from_name = $user_identity;
		$from_address = $user_email;
		$subject = EMU2_replace_sender_templates($subject, $from_name);
		$mail_content = EMU2_replace_sender_templates($mail_content, $from_name);
	
		$post = get_post( $post_id );
		$post_title = $post->post_title;
		$post_url = get_permalink( $post_id );			
		$post_content = explode( '<!--more-->', $post->post_content, 2 );
		$post_excerpt = $post_content[0];
		
		$subject = EMU2_replace_post_templates($subject, $post_title, $post_excerpt, $post_url);
		$mail_content = EMU2_replace_post_templates($mail_content, $post_title, $post_excerpt, $post_url);
?>
	<tr>
		<td><b><?php _e('Subject', EMU2_I18N_DOMAIN); ?></b></td>
		<td><?php echo EMU2_get_default_mail_format()=='html' ? $subject : '<pre>' . format_to_edit($subject) . '</pre>';?></td>
	</tr>
	<tr>
		<td><b><?php _e('Message', EMU2_I18N_DOMAIN); ?></b></td>
		<td><?php echo EMU2_get_default_mail_format()=='html' ? $mail_content : '<pre>' . wordwrap(strip_tags($mail_content), 80, "\n") . '</pre>';?></td>
	</tr>
<?php
	}
?>
	</tbody>
</table>

<form name="SendTestEmail" action="options-general.php?page=emu2-email-users-2/emu2_send_test_mail.php" method="post">		
	<p class="submit">
		<input type="hidden" name="post_id" value="<?php print $post_id; ?>" />
		<input type="submit" name="Submit" value="<?php _e('Send test notification to yourself', EMU2_I18N_DOMAIN); ?> &raquo;" />
	</p>
</form>	
<p></p>






<br class="clear"/>
<table class="widefat">
	<thead>
	<tr>
		<th colspan="2"><?php _e('Digest mail preview (updated when the options are saved)', EMU2_I18N_DOMAIN); ?></th>
	</tr>
	</thead>
	<tbody>
<?php
	$subject = EMU2_get_digest_subject();
	$mail_content = EMU2_get_digest_body();	
?>
	<tr>
		<td><b><?php _e('Subject', EMU2_I18N_DOMAIN); ?></b></td>
		<td><?php echo EMU2_get_default_mail_format()=='html' ? $subject : '<pre>' . format_to_edit($subject) . '</pre>';?></td>
	</tr>
	<tr>
		<td><b><?php _e('Message', EMU2_I18N_DOMAIN); ?></b></td>
		<td><?php echo EMU2_get_default_mail_format()=='html' ? $mail_content : '<pre>' . wordwrap(strip_tags($mail_content), 80, "\n") . '</pre>';?></td>
	</tr>

	</tbody>
</table>










<form name="SendTestEmail" action="options-general.php?page=emu2-email-users-2/emu2_send_test_mail.php" method="post">		
	<p class="submit">
		<input type="hidden" name="schedule_mail" value="1" />
		<input type="submit" name="Submit" value="<?php _e('Send digest mail to yourself', EMU2_I18N_DOMAIN); ?> &raquo;" />
	</p>
</form>	
<p></p>


<table class="widefat">
	<thead>
	<tr>
		<th colspan="3"><?php _e('Variables you can include in the subject or body templates', EMU2_I18N_DOMAIN); ?></th>
	</tr>
	</thead>
	<tbody>
	<tr>
		<td><b>%BLOG_URL%</b></td>
		<td><?php _e('the link to the blog', EMU2_I18N_DOMAIN); ?></td>
		<td>Notification and Digest</td>
	</tr>
	<tr>
		<td><b>%BLOG_NAME%</b></td>
		<td><?php _e('the blog\'s name', EMU2_I18N_DOMAIN); ?></td>
		<td>Notification and Digest</td>
	</tr>
	<tr>
		<td><b>%FROM_NAME%</b></td>
		<td><?php _e('the wordpress user name of the person sending the mail', EMU2_I18N_DOMAIN); ?></td>
		<td>Notification only</td>
	</tr>
	<tr>
		<td><b>%POST_TITLE%</b></td>
		<td><?php _e('the title of the post you want to highlight', EMU2_I18N_DOMAIN); ?></td>
		<td>Notification only</td>
	</tr>
	<tr>
		<td><b>%POST_EXCERPT%</b></td>
		<td><?php _e('the excerpt of the post you want to highlight', EMU2_I18N_DOMAIN); ?></td>
		<td>Notification only</td>
	</tr>
	<tr>
		<td><b>%POST_URL%</b></td>
		<td><?php _e('the link to the post you want to highlight', EMU2_I18N_DOMAIN); ?></td>
		<td>Notification only</td>
	</tr>
	<tr>
		<td><b>%THE_DATE%</b></td>
		<td><?php _e('inserts date of the scheduled mail, uses date format of general settings', EMU2_I18N_DOMAIN); ?></td>
		<td>Digest only</td>
	</tr>	
	<tr>
		<td><b>%THE_DIGEST%</b></td>
		<td><?php _e('loop of the most current last posts', EMU2_I18N_DOMAIN); ?></td>
		<td>Digest only</td>
	</tr>		
	</tbody>
</table>
<br class="clear"/>

</div>
<?php } ?>